using Learun.Application.TwoDevelopment.ZZDT_EC;
using Learun.Util;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web.Mvc;

namespace Learun.Application.Web.Areas.ZZDT_EC.Controllers
{
    /// <summary>
    /// 版 本 PIT-ADMS V7.0.3 敏捷开发框架
    /// Copyright (c) 2013-2018 Hexagon PPM
    /// 创 建：超级管理员
    /// 日 期：2022-07-04 10:00
    /// 描 述：同步关联表
    /// </summary>
    public class ec_synrel_tableController : MvcControllerBase
    {
        private ec_synrel_tableIBLL ec_synrel_tableIBLL = new ec_synrel_tableBLL();

        #region 视图功能

        /// <summary>
        /// 主页面
        /// <summary>
        /// <returns></returns>
        [HttpGet]
        public ActionResult Index()
        {
             return View();
        }
        #endregion

        #region 获取数据

        /// <summary>
        /// 获取列表数据
        /// <summary>
        /// <returns></returns>
        [HttpGet]
        [AjaxOnly]
        public ActionResult GetList(string queryJson)
        {
            var data = ec_synrel_tableIBLL.GetList(queryJson);
            return Success(data);
        }

        /// <summary>
        /// 获取表单数据
        /// <param name="keyValue">主键</param>
        /// <summary>
        /// <returns></returns>
        [HttpGet]
        [AjaxOnly]
        public ActionResult GetFormData(string keyValue)
        {
            var data = ec_synrel_tableIBLL.GetEntity(keyValue);
            var jsonData = new
            {
                ec_synrel_table = data
            };
            return Success(jsonData);
        }
        #endregion

        #region 提交数据
        /// <summary>
        /// 保存实体数据（新增、修改）
        /// <param name="keyValue">主键</param>
        /// <summary>
        /// <returns></returns>
        [HttpPost]
        [AjaxOnly]
        public ActionResult SaveForm(string mainBusinessTableID, string strEntityList)
        {
            List<ec_synrel_tableEntity> entityList = strEntityList.ToList<ec_synrel_tableEntity>();
            ec_synrel_tableIBLL.SaveEntity(mainBusinessTableID, entityList);
            return Success("保存成功！");
        }
        #endregion

    }
}
